Package com.emc.documentum.rest.model

# Class ContentDataSource

java.lang.Object
com.emc.documentum.rest.model.ContentDataSource

public class ContentDataSource extends Object
The content data source of the content object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentDataSource()`
  `ContentDataSource(DataSource data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharset()`
  get the charset/encoding of the content
  `DataSource`
  `getData()`
  Return the data source of the content
  `String`
  `getFormat()`
  Return the format of the content
  `String`
  `getModifier()`
  `long`
  `getSize()`
  Return the content size
  `void`
  `setCharset(String charset)`
  set the charset/encoding of the content
  `void`
  `setData(DataSource data)`
  Set the data source of the content
  `void`
  `setFormat(String format)`
  Set the format of the content
  `void`
  `setModifier(String modifier)`
  set the modifier of the content
  `void`
  `setSize(long size)`
  Set the content size.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContentDataSource

    public ContentDataSource()

  - ### ContentDataSource

    public ContentDataSource(DataSource data)

- ## Method Details

  - ### getFormat

    public String getFormat()
    Return the format of the content
    Returns:
      format

  - ### setFormat

    public void setFormat(String format)
    Set the format of the content
    Parameters:
      `format` - format to set

  - ### getSize

    public long getSize()
    Return the content size
    Returns:
      the content size

  - ### setSize

    public void setSize(long size)
    Set the content size. If the size is unknown, set it as 0.
    Parameters:
      `size` - the content size

  - ### getData

    public DataSource getData()
    Return the data source of the content
    Returns:
      the date source of the content

  - ### setData

    public void setData(DataSource data)
    Set the data source of the content
    Parameters:
      `data` - the date source of the content

  - ### getCharset

    public String getCharset()
    get the charset/encoding of the content
    Returns:
      the charset

  - ### setCharset

    public void setCharset(String charset)
    set the charset/encoding of the content
    Parameters:
      `charset` - the content charset

  - ### getModifier

    public String getModifier()
    Returns:
      the modifier of the content

  - ### setModifier

    public void setModifier(String modifier)
    set the modifier of the content
    Parameters:
      `modifier` - the modifier, can be null